# commit f83071daee0184d2bea946a8ca8d949869876418
%global gitversion f83071d
%global pypi_name traceback2
%bcond_with test

Summary:        Backport of the traceback module
Name:           python-traceback2
Version:        1.4.0
Release:        6.git%{gitversion}%{?dist}
License:        PSFv2
URL:            https://github.com/testing-cabal/traceback2
# cp -r traceback2 traceback2-%%{gitversion}
# tar czf %%{pypi_name}-%%{gitversion}.tar.gz traceback2-%%{gitversion}
Source0:        %{pypi_name}-%{gitversion}.tar.gz

BuildArch:      noarch

BuildRequires: python3-pbr python3-devel
%if %{with test}
BuildRequires: python3-pytest python3-linecache2
%endif

%description
A backport of traceback to older supported Pythons.

%package     -n python3-traceback2
Summary:        Backport of the traceback module
Requires:       python3-linecache2

%description -n python3-traceback2
A backport of traceback to older supported Pythons.

%prep
%autosetup -n %{pypi_name}-%{gitversion}

%build
PBR_VERSION=1.0.0 %py3_build

%install
PBR_VERSION=1.0.0 %py3_install

%if %{with test}
%check
%pytest
%endif

%files -n python3-traceback2
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-6.gitf83071d
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-5.gitf83071d
- Rebuilt for OpenCloudOS Stream 23.09

* Mon May 22 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.0-4.gitf83071d
- update license.

* Fri May 19 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.0-3.gitf83071d
- upgrade to f83071d.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.0-1
- initial build
